D-Bus 1.13.18

Functions
DBusTransport implementations for UNIX
D-Bus secret internal implementation details

Implementation details of DBusTransport on UNIX. More...

## Functions
DBusTransport * | _dbus_transport_new_for_domain_socket (const char *path, dbus_bool_t abstract, DBusError *error)
| Creates a new transport for the given Unix domain socket path. More...
DBusTransportOpenResult | _dbus_transport_open_platform_specific (DBusAddressEntry *entry, DBusTransport **transport_p, DBusError *error)
| Opens platform specific transport types. More...

## Detailed Description

Implementation details of DBusTransport on UNIX.

## Function Documentation

## ◆ _dbus_transport_new_for_domain_socket()

DBusTransport* _dbus_transport_new_for_domain_socket | ( | const char * | path,
|  | dbus_bool_t | abstract,
|  | DBusError * | error
| ) |  |

Creates a new transport for the given Unix domain socket path.

This creates a client-side of a transport.

Todo:
  once we add a way to escape paths in a dbus address, this function needs to do escaping.

Parameters

  path | the path to the domain socket.
  abstract | TRUE to use abstract socket namespace
  error | address where an error can be returned.

Returns
  a new transport, or NULL on failure.

Definition at line 58 of file dbus-transport-unix.c.

Referenced by _dbus_transport_open_platform_specific().

## ◆ _dbus_transport_open_platform_specific()

DBusTransportOpenResult _dbus_transport_open_platform_specific | ( | DBusAddressEntry * | entry,
|  | DBusTransport ** | transport_p,
|  | DBusError * | error
| ) |  |

Opens platform specific transport types.

Parameters

  entry | the address entry to try opening
  transport_p | return location for the opened transport
  error | error to be set

Returns
  result of the attempt

Definition at line 221 of file dbus-transport-unix.c.

References _dbus_assert, _dbus_set_bad_address(), _dbus_strdup(), _dbus_transport_new_for_domain_socket(), dbus_address_entry_get_method(), dbus_address_entry_get_value(), DBUS_ERROR_NO_MEMORY, dbus_free_string_array(), dbus_new0, dbus_set_error(), FALSE, NULL, and TRUE.